import static java.lang.System.out;

class Overdoing {
	
	public static void print(String title) {
	    out.printf("Print method 1: %s%n", title);
	}
	public static void print(String title, String... messages) {
		int p = "Print method 2: ".length();
		String fs = String.format("%%-%ds", p); //format string
		String ps = String.format(fs,""); // padding string
		out.printf("Print method 2: %s %n", title);
		for (String m: messages)
			out.printf(ps, m); 
	}
	public static void print(String... messages) {
		int p = "Print method 3: ".length();
		String fs = String.format("%%-%ds", p); //format string
		String ps = String.format(fs,""); // padding string
		out.printf("Print method 2:%n");
		for (String m: messages)
			out.printf("%s%s%n", ps, m); 
	}
	
	public static void main(String[] args) {
		print("Overload");
		// print("Unthinkable", "Overload", "Churchill sucks"); // print-2 or print-3 ? 
		print(new String[]{"Unthinkable", "Overload", "Churchill sucks"});
		
	}
}